<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Predictores de saltos, IE-0521: Fichero Fuente include/predictor.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Predictores de saltos, IE-0521
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generado por Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Buscar');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Buscar');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">predictor.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef PREDICTOR_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define PREDICTOR_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include&lt;iostream&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include&lt;fstream&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacestd.html">std</a>;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="classpredictor.html">   11</a></span>&#160;<span class="keyword">class </span><a class="code" href="classpredictor.html">predictor</a></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;{</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classpredictor.html#a8e2d672fbbe6f7e16d12592f8801f39f">   18</a></span>&#160;    <span class="keywordtype">int</span>* <a class="code" href="classpredictor.html#a8e2d672fbbe6f7e16d12592f8801f39f">t_predictores</a>;</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classpredictor.html#a3c1e9e7e0f463ab18af8229755d52b7e">   22</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classpredictor.html#a3c1e9e7e0f463ab18af8229755d52b7e">numbits</a>;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classpredictor.html#a40ea9fec251f1ff52548581f67f6dc9c">   26</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classpredictor.html#a40ea9fec251f1ff52548581f67f6dc9c">t_tamano</a>;</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="classpredictor.html#ab384ccca87d54dbcf85ddae02fc6267a">   30</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classpredictor.html#ab384ccca87d54dbcf85ddae02fc6267a">pc_mask</a>;</div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="classpredictor.html#a08e296402b83daab316fa4f5f02686b2">   34</a></span>&#160;    <span class="keywordtype">long</span> <a class="code" href="classpredictor.html#a08e296402b83daab316fa4f5f02686b2">numbranches</a>;</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classpredictor.html#abc7378342ef4e20ac7881dbc8bff1e72">   38</a></span>&#160;    <span class="keywordtype">long</span> <a class="code" href="classpredictor.html#abc7378342ef4e20ac7881dbc8bff1e72">tt</a>;</div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="classpredictor.html#a96e452119dc7e1c11e6045d2ec11ce8a">   42</a></span>&#160;    <span class="keywordtype">long</span> <a class="code" href="classpredictor.html#a96e452119dc7e1c11e6045d2ec11ce8a">ft</a>;</div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classpredictor.html#a6cb6a35b879350a019dd2e23260d8983">   46</a></span>&#160;    <span class="keywordtype">long</span> <a class="code" href="classpredictor.html#a6cb6a35b879350a019dd2e23260d8983">tn</a>;</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classpredictor.html#a65bfa951fc76a4f5de411d82b3a3b73c">   50</a></span>&#160;    <span class="keywordtype">long</span> <a class="code" href="classpredictor.html#a65bfa951fc76a4f5de411d82b3a3b73c">fn</a>;</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classpredictor.html#a941df172254db3b9e8a2d35e4a96ad29">   54</a></span>&#160;    <a class="code" href="classpredictor.html#a941df172254db3b9e8a2d35e4a96ad29">predictor</a>(){};</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classpredictor.html#a77e91f8c0568eef9e714804644bb72ef">   58</a></span>&#160;    <a class="code" href="classpredictor.html#a77e91f8c0568eef9e714804644bb72ef">~predictor</a>(){};</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <span class="keywordtype">void</span> resumen(<span class="keywordtype">int</span> s,<span class="keywordtype">int</span> tp, <span class="keywordtype">int</span> gh, <span class="keywordtype">int</span> ph);</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keywordtype">void</span> salida(<span class="keywordtype">long</span> progctr,<span class="keywordtype">char</span> result, <span class="keywordtype">char</span> pred, <span class="keywordtype">string</span> dir);</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;};</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classpredictor_html_abc7378342ef4e20ac7881dbc8bff1e72"><div class="ttname"><a href="classpredictor.html#abc7378342ef4e20ac7881dbc8bff1e72">predictor::tt</a></div><div class="ttdeci">long tt</div><div class="ttdef"><b>Definition:</b> predictor.hpp:38</div></div>
<div class="ttc" id="classpredictor_html_a77e91f8c0568eef9e714804644bb72ef"><div class="ttname"><a href="classpredictor.html#a77e91f8c0568eef9e714804644bb72ef">predictor::~predictor</a></div><div class="ttdeci">~predictor()</div><div class="ttdef"><b>Definition:</b> predictor.hpp:58</div></div>
<div class="ttc" id="classpredictor_html"><div class="ttname"><a href="classpredictor.html">predictor</a></div><div class="ttdef"><b>Definition:</b> predictor.hpp:11</div></div>
<div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div></div>
<div class="ttc" id="classpredictor_html_a08e296402b83daab316fa4f5f02686b2"><div class="ttname"><a href="classpredictor.html#a08e296402b83daab316fa4f5f02686b2">predictor::numbranches</a></div><div class="ttdeci">long numbranches</div><div class="ttdef"><b>Definition:</b> predictor.hpp:34</div></div>
<div class="ttc" id="classpredictor_html_a8e2d672fbbe6f7e16d12592f8801f39f"><div class="ttname"><a href="classpredictor.html#a8e2d672fbbe6f7e16d12592f8801f39f">predictor::t_predictores</a></div><div class="ttdeci">int * t_predictores</div><div class="ttdef"><b>Definition:</b> predictor.hpp:18</div></div>
<div class="ttc" id="classpredictor_html_ab384ccca87d54dbcf85ddae02fc6267a"><div class="ttname"><a href="classpredictor.html#ab384ccca87d54dbcf85ddae02fc6267a">predictor::pc_mask</a></div><div class="ttdeci">int pc_mask</div><div class="ttdef"><b>Definition:</b> predictor.hpp:30</div></div>
<div class="ttc" id="classpredictor_html_a6cb6a35b879350a019dd2e23260d8983"><div class="ttname"><a href="classpredictor.html#a6cb6a35b879350a019dd2e23260d8983">predictor::tn</a></div><div class="ttdeci">long tn</div><div class="ttdef"><b>Definition:</b> predictor.hpp:46</div></div>
<div class="ttc" id="classpredictor_html_a941df172254db3b9e8a2d35e4a96ad29"><div class="ttname"><a href="classpredictor.html#a941df172254db3b9e8a2d35e4a96ad29">predictor::predictor</a></div><div class="ttdeci">predictor()</div><div class="ttdef"><b>Definition:</b> predictor.hpp:54</div></div>
<div class="ttc" id="classpredictor_html_a3c1e9e7e0f463ab18af8229755d52b7e"><div class="ttname"><a href="classpredictor.html#a3c1e9e7e0f463ab18af8229755d52b7e">predictor::numbits</a></div><div class="ttdeci">int numbits</div><div class="ttdef"><b>Definition:</b> predictor.hpp:22</div></div>
<div class="ttc" id="classpredictor_html_a40ea9fec251f1ff52548581f67f6dc9c"><div class="ttname"><a href="classpredictor.html#a40ea9fec251f1ff52548581f67f6dc9c">predictor::t_tamano</a></div><div class="ttdeci">int t_tamano</div><div class="ttdef"><b>Definition:</b> predictor.hpp:26</div></div>
<div class="ttc" id="classpredictor_html_a96e452119dc7e1c11e6045d2ec11ce8a"><div class="ttname"><a href="classpredictor.html#a96e452119dc7e1c11e6045d2ec11ce8a">predictor::ft</a></div><div class="ttdeci">long ft</div><div class="ttdef"><b>Definition:</b> predictor.hpp:42</div></div>
<div class="ttc" id="classpredictor_html_a65bfa951fc76a4f5de411d82b3a3b73c"><div class="ttname"><a href="classpredictor.html#a65bfa951fc76a4f5de411d82b3a3b73c">predictor::fn</a></div><div class="ttdeci">long fn</div><div class="ttdef"><b>Definition:</b> predictor.hpp:50</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generado por &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
